Bug 203190 - Review Request: netlabel_tools
Review Request: netlabel_tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-18 16:18 EDT by James Antill
Modified: 2013-01-09 20:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 16:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Antill 2006-08-18 16:18:55 EDT
Spec URL: http://people.redhat.com/jantill/netlabel_tools/netlabel_tools.spec
SRPM URL: http://people.redhat.com/jantill/netlabel_tools/netlabel_tools-0.16-2.src.rpm
Description: 
 NetLabel is a kernel subsystem which implements explicit packet labeling
protocols such as CIPSO and RIPSO for Linux.  Packet labeling is used in
secure networks to mark packets with the security attributes of the data they
contain.  This package provides the necessary user space tools to query and
configure the kernel subsystem.
Comment 1 Jason Tibbitts 2006-08-18 16:39:41 EDT
I don't see you in owners.list; do you require sponsorship?

Is there an upstream location for the source?  You should provide a URL to the
packages main page and make Source0: a full URL so that reviewers can compare
against the upstream source.  (I'm guessing that
http://free.linux.hp.com/~pmoore/projects/linux_cipso/ is the upstream.)

You don't use the %{?dist} tag, which is not strictly required but is
recommended because it greatly simplifies  maintainance across multiple
releases.  http://fedoraproject.org/wiki/Packaging/DistTag

Your build root is not the recommended one:      
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

No %{?_smp_mflags} on your make line.  If the package won't build in parallel,
please add a comment indicating that.

Note that this is not a complete review; I'm just commenting on a few things I
noticed.

Comment 2 James Antill 2006-08-18 17:03:20 EDT
> I don't see you in owners.list; do you require sponsorship?

 I'm not 100% sure what that means. I completed the CLA request successfully.
However step three[1] gives me a traceback, if I try and add myself to the
cvsextras group (which I assumed I needed to be in, but I'm not sure) ... so I
just tried creating a package review request.


 All the changes to the packaging that you requested have been done (same spec
file URL):

http://people.redhat.com/jantill/netlabel_tools/netlabel_tools-0.16-3.src.rpm


[1] http://fedoraproject.org/wiki/Infrastructure/AccountSystem
Comment 3 Jason Tibbitts 2006-08-18 17:40:07 EDT
I know it's hideously long, but the entire process document is at
http://fedoraproject.org/wiki/Extras/Contributors

And there's a helpful bit at http://fedoraproject.org/wiki/Extras/HowToGetSponsored

The bottom line is that you have to be sponsored in order to receive a cvsextras
account and so you need to find a willing sponsor.  My plate is a bit full at
the moment, unfortunately, since I've just today sponsored someone else from Red
Hat.
Comment 4 Jesse Keating 2006-08-28 17:35:01 EDT
NEEDSWORK:
- home_base_url is used exactly once.  Why not just use it in Source0?
- No URL tag
- glibc-kernheaders package doesn't exist anymore.  The new package name is
kernel-headers.  Kernel-headers provides glibc-kernheaders, but might as well
use the new name.
- Description starts with a space
- setup should have -q flag for quiet.
- Package does not build currently:

INFO: entering directory libnetlabel/ ...
 CC netlabel_init.o
In file included from netlabel_init.c:39:
/builddir/build/BUILD/netlabel_tools-0.16/include/linux/netlabel.h:42:1:
warning: "NLMSG_HDRLEN" redefined
In file included from netlabel_init.c:38:
/usr/include/linux/netlink.h:74:1: warning: this is the location of the previous
definition
In file included from netlabel_init.c:39:
/builddir/build/BUILD/netlabel_tools-0.16/include/linux/netlabel.h:45: error:
redefinition of 'struct nlattr'
In file included from netlabel_init.c:39:
/builddir/build/BUILD/netlabel_tools-0.16/include/linux/netlabel.h:64:1:
warning: "NLA_HDRLEN" redefined
In file included from netlabel_init.c:38:
/usr/include/linux/netlink.h:131:1: warning: this is the location of the
previous definition
make[1]: *** [netlabel_init.o] Error 1
make: *** [libnetlabel] Error 2
Comment 5 James Antill 2006-08-29 14:16:31 EDT
 All the changes to the packaging that you requested have been done (same spec
file URL). The .src.rpm now passes rpmlint on a rawhide system[1]:

http://people.redhat.com/jantill/netlabel_tools/netlabel_tools.spec
http://people.redhat.com/jantill/netlabel_tools/netlabel_tools-0.16-4.src.rpm


[1] Actually it warns the specfile is 600, but it's correct in the tar archive
(before I create the .src.rpm) so I don't see how to fix this.
Comment 6 James Antill 2006-08-29 14:23:30 EDT
 Nevermind, I fixed the specfile thing too.
Comment 8 Jesse Keating 2006-08-29 17:53:11 EDT
Builds, passes rpmlint, provides/requires look good, I'm going to pass this.

Go ahead and request access to cvsextras and I'll approve it (as I'm sponsoring you)

Note You need to log in before you can comment on or make changes to this bug.